







<?php
if($this->session->userdata('is_logged_in')===FALSE){
			redirect('login');
}

foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/akta/pidana_militer/".$filename.".rtf");
/*$jenisGugatan = intval($jenisGugatan); 
if(!is_numeric($jenisGugatan)){
    show_404();
    exit();
}*/

$Template = file_get_contents($url);

function in_multiarray($sval, $arr){
	$ret = false;
	foreach ($arr as $value) {
		if (is_array($value)){
			$ret = $ret | in_multiarray($sval, $value);
		}else{
			if ($value == $sval){
				return true;
			}
		}
	}
	return $ret;
}

$dataPenetapan = $dataTemplate;
$terdakwa = array();
$hakim = array();
foreach ($dataPenetapan->result() as $row) {
    if (!in_multiarray($row->namat, $terdakwa)){
    	$terdakwaItem = array();
    	$terdakwaItem["nama"] = $row->namat;
    	$terdakwaItem["alamat"] = $row->alamatt;
    	$terdakwaItem["urutant"] = $row->urutanT;
    	$terdakwaItem["tlt"] = $row->tlt;
    	$terdakwaItem["tgllhrt"] = $row->tgllhrt;
    	$terdakwaItem["jkt"] = $row->jkt;
    	$terdakwaItem["agama"] = $row->agamat;
    	$terdakwaItem["alamatt"] = $row->alamatt;
    	$terdakwa[] = $terdakwaItem;
    }
    if (!in_multiarray($row->nama_hakim, $hakim)){
    	$hakimItem = array();
    	$hakimItem["nama_hakim"] = $row->nama_hakim;
    	$hakimItem["jabatan_hakim_nama"] = $row->jabatan_hakim_nama;
    	$hakimItem["urutan_hakim"] = $row->urutan_hakim;
    	$hakimItem["pangkat"] = $row->pangkat;
    	$hakimItem["jabatan"] = $row->jabatan;
    	$hakimItem["nip"] = $row->nip;
    	$hakim[] = $hakimItem;
    }

	$nomorperkara=$row->nomor_perkara;
	$urutan=$row->urutan_hakim;
	$jabatan=$row->jabatan_hakim_nama;
	$namaPejabat=$this->templatehelper->standradnaming($row->KetuaPNNama);
	$tanggalPendaftaran=$this->templatehelper->convertKeTglIndo($row->tanggal_pendaftaran);
	$tanggalSurat=$this->templatehelper->convertKeTglIndo($row->tgl_surat_dakwaan);
	$tglPenetapanharisidang=$this->templatehelper->convertKeTglIndo($row->penetapanharisidang);
	$nomorSurat=$row->nomor_surat;
	$tgl_pen_hakim=$this->templatehelper->convertKeTglIndo($row->penetapan_majelis_hakim);
	$tgl_pen_pp=$this->templatehelper->convertKeTglIndo($row->tgl_pen_pp);
	$kode_pn=$row->kode_pn;
	$nomurUrutPerkara = $row->nomor_urut_perkara;
	$matra=$row->matra;
	if($matra==1){
		$matra1='AD';
	}elseif ($matra==2) {
		$matra1='AL';
	}else{
		$matra1='AU';
	}
	$nomorSplit = explode("/",$nomorperkara);
	$blnSplit = $nomorSplit['3'];
	$thnSplit = $nomorSplit['4'];
	$nama_pengadilan=$row->namaPengadilan;
	$nama_kota=$this->templatehelper->namaKota($row->namaPengadilan);
	$tanggal_skeppera = $this->templatehelper->convertKeTglIndo($row->tanggal_skeppera);
	$nomor_skeppera = $row->nomor_skeppera;
	$tanggal_surat_dakwaan = $this->templatehelper->convertKeTglIndo($row->tanggal_surat_dakwaan);
	$nomor_surat_dakwaan = $row->nomor_surat_dakwaan;
	$nama_kadilmil = $row->KetuaPNNama;
	$Spengadilan = explode(" ",$row->pengadilan);
	$nmPengadilan = $Spengadilan['0'].' '.$Spengadilan['1'];
	$kotaPengadilan = $Spengadilan['3'];
	$kode_pn1 = str_replace("PM.", "", $kode_pn);
	$tanggal_sidang = $this->templatehelper->convertKeTglIndo($row->tanggal_sidang);
	$hari_sidang = $this->templatehelper->getHari($row->tanggal_sidang);
	$jam_sidang = $row->jam_sidang;
	$ruangan = $row->ruangan;
	$nama_pp =  $row->nama_pp.' '.$row->pangkat_pp.' NRP '.$row->nip_pp;
	$ditetapkanoleh = $row->ditetapkanoleh;
	$zona_waktu = $row->zona_waktu;
}

$dataPermohonanBanding = $dataTemplate2;
foreach ($dataPermohonanBanding->result() as $row) {
 $nama_pemohon = $row->pemohon_nama; 
 $pangkatperband = $row->pangkat;
 $tanggal_permohonan_banding = $row->permohonan_banding;  
 $jabatanperband = $row->jabatan; 
 $nrp_perband = $row->nrp; 
 $kesatuan_perband = $row->kesatuan; 
 $nomor_putperband = $row->nomor_perkara; 
 $no_regperband = $row->nomor_urut_register; 
 $nrp_panperband = $row->panitera_nip; 
 $tanggal_putperband = $row->tanggal_putusan; 
}

 //print_r($dataPenetapan);

$cterdakwa = count($terdakwa);
if($cterdakwa>1){
	$cTer='para terdakwa';
}else{
	$cTer='terdakwa';
}

$i = 1;
foreach ($terdakwa as $item) {
	if($cterdakwa>1){
		$naskah  = "Terdakwa ".$this->templatehelper->converToAngkaRomawi($item["urutant"])."\b0 ;"."\\par ";
	}else{
		$naskah = "\\par ";
	}
	
	$naskah .= 'Nama lengkap \tab : '.$this->templatehelper->standradnaming($item["nama"]).'\\par ';
	$naskah .= 'Pangkat/NRP \tab : '.'[belum dikerjakan]'.'\\par ';
	$naskah .= 'Jabatan \tab : '.'[belum dikerjakan]'.'\\par ';
	$naskah .= 'Kesatuan \tab : '.'[belum dikerjakan]'.'\\par ';
	$naskah .= 'Tempat, tanggal lahir \tab : '.$item["tlt"].','.$this->templatehelper->convertKeTglIndo($item["tgllhrt"]).'\\par ';
	$naskah .= 'Jenis kelamin \tab : '.$item["jkt"].'\\par ';
	$naskah .= 'Kewarganegaraan \tab : '.'Indonesia'.'\\par ';
	if(!empty($item["agama"])){
		$agm=$item["agama"];
	}else{
		$agm='Belum diisi';
	}
	$naskah .= 'Agama \tab : '.$agm.'\\par ';
	$naskah .= 'Tempat tinggal \tab : '.$item["alamatt"].'\\par ';
	$brnaskah = $naskah.' \\par '.PHP_EOL.(($i<$cterdakwa)?("#terdakwaParties#"):(""));
	$Template = str_replace("#terdakwaParties#",''.$brnaskah.'',$Template);	
	$i++;
}

$cMajelis = count($hakim);
$i = 1;
foreach ($hakim as $item) {
	if($item['urutan_hakim']==1){
		$naskah =strtoupper($item["jabatan_hakim_nama"]).' \tab :'.$this->templatehelper->standradnaming($item["nama_hakim"]).' '.$item["pangkat"].' NRP.'.$item["nip"];
		$hakim_ketua = $item["nama_hakim"];
	}else{
		$naskah =strtoupper($item["jabatan_hakim_nama"]).' \tab :'.($item["urutan_hakim"]-1).'.'.$this->templatehelper->standradnaming($item["nama_hakim"]).' '.$item["pangkat"].' NRP.'.$item["nip"];
	}
	$brnaskah = $naskah.' \\par '.PHP_EOL.(($i<$cMajelis)?("#hakimParties#"):(""));
	$Template = str_replace("#hakimParties#",''.$brnaskah.'',$Template);	
	$i++;
}

if (empty($tanggalSurat)){ $tanggalSurat="#Isi Dulu Tanggal Surat Pada Aplikasi#"; }
$Template = str_replace("#terdakwa#",''.$cTer.'',$Template);
$Template = str_replace("#namaPengadilan#",''.$nama_pengadilan.'',$Template);
$Template = str_replace("#namaKota#",''.$nmPengadilan.'',$Template);
$Template = str_replace("#nomor_register#",''.$nomorperkara.'',$Template);
$Template = str_replace("#tanggal_register#",''.$tanggalPendaftaran.'',$Template);
$Template = str_replace("#tgl_pen_hakim#",''.$tgl_pen_hakim.'',$Template);
$Template = str_replace("#tgl_pen_pp#",''.$tgl_pen_pp.'',$Template);
$Template = str_replace("#tgl_tapsid#",''.$tglPenetapanharisidang.'',$Template);
$Template = str_replace("#tanggalSurat#",''.$tanggalSurat.'',$Template);
$Template = str_replace("#kode_pn#",''.$kode_pn.'',$Template);
$Template = str_replace("#kode_pn1#",''.$kode_pn1.'',$Template);
$Template = str_replace("#matra#",''.$matra1.'',$Template);
$Template = str_replace("#nomor#",''.$nomurUrutPerkara.'',$Template);
$Template = str_replace("#bulan#",''.$blnSplit.'',$Template);
$Template = str_replace("#tahun#",''.$thnSplit.'',$Template);
$Template = str_replace("#kode_pn#",''.$kode_pn.'',$Template);
$Template = str_replace("#nomor_keppera#",''.$nomor_skeppera.'',$Template);
$Template = str_replace("#tanggal_keppera#",''.$tanggal_skeppera.'',$Template);
$Template = str_replace("#nomor_dakwaan#",''.$nomor_surat_dakwaan.'',$Template);
$Template = str_replace("#tanggal_dakwaan#",''.$tanggal_surat_dakwaan.'',$Template);
$Template = str_replace("#nama_kadilmil#",''.$nama_kadilmil.'',$Template);
$Template = str_replace("#kota_pn#",''.ucwords(strtolower($kotaPengadilan)).'',$Template);
$Template = str_replace("#kota_pn1#",''.$kotaPengadilan.'',$Template);
$Template = str_replace("#nama_panitera#",''.$nama_pp.'',$Template);
//$Template = str_replace("#tanggal#",''.$tanggal.'',$Template);
$Template = str_replace("#hari_sidang#",''.$hari_sidang.'',$Template);
$Template = str_replace("#tanggal_sidang#",''.$tanggal_sidang.'',$Template);
$Template = str_replace("#waktu_sidang#",''.$jam_sidang.'',$Template);
$Template = str_replace("#tempat_sidang#",' '.$ruangan.' '.ucwords(strtolower($nama_pengadilan)).' '.ucwords(strtolower($kotaPengadilan)),$Template);
$Template = str_replace("#nama_hakim_ketua#",''.$hakim_ketua.'',$Template);
$Template = str_replace("#ditetapkanoleh#",''.$ditetapkanoleh.'',$Template);
$Template = str_replace("#zona_waktu#",''.$zona_waktu.'',$Template); 
$Template = str_replace("#nama_terdakwa#", ''.$nama_pemohon.'',$Template); 
$Template = str_replace("#pangkat_korp_terdakwa#", ''.$pangkatperband.'',$Template); 
$Template = str_replace("#pangkat_korp#", ''.$pangkatperband.'',$Template); 
$Template = str_replace("#nrp_terdakwa#", ''.$nrp_perband.'',$Template); 
$Template = str_replace("#jabatan_terdakwa#", ''.$jabatanperband.'',$Template); 
$Template = str_replace("#tanggal_permohonan#", ''.$tanggal_permohonan_banding.'',$Template); 
$Template = str_replace("#kesatuan_terdakwa#", ''.$kesatuan_perband.'',$Template); 
$Template = str_replace("#nomor_putusan#", ''.$nomor_putperband.'',$Template); 
$Template = str_replace("#no_register#", ''.$no_regperband.'',$Template); 
$Template = str_replace("#nrp_panitera#", ''.$nrp_panperband.'',$Template); 
$Template = str_replace("#tanggal_putusan#", ''.$tanggal_putperband.'',$Template);

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$nomorperkara.".rtf\"");
echo $Template;
?>